import React, { useState, useRef, useEffect, useMemo } from "react";
import { useGetIdentity } from 'react-admin';
import { Stack, Grid, Box, Typography, Chip, useTheme } from '@mui/material';
import GroupIcon from '@mui/icons-material/Group';

export const TenantTip = (props) => {
    const { identity, isLoading, error } = useGetIdentity();

    return (
        <>
            <Box sx={{
                mr: 1,
                ml: 2,
            }}>
                <Chip
                    icon={<GroupIcon />}
                    label={identity?.tenant ?? 'Unknown'}
                    variant="outlined"
                    sx={{
                        borderRadius: '10px',
                        cursor: 'pointer',
                        paddingLeft: "0.3rem",
                    }}
                />
            </Box>
        </>
    )
}